> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry-channel-selections.md).

# Datamart Device Id Registry Channel Selections

Operations related to Datamart Device ID Registry Channel Selections for managing device identifiers by Channel.

## GET /channels/{channel\_id}/device\_id\_registry\_selections/{id}

> Get a device id registry channel selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Channel Selections","description":"Operations related to Datamart Device ID Registry Channel Selections for managing device identifiers by Channel."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/device_id_registry_selections/{id}":{"get":{"summary":"Get a device id registry channel selection","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryChannelSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDeviceIdRegistryChannelSelection","description":"","parameters":[{"description":"The device id registry selection id","schema":{"type":"string"},"required":true,"in":"path","explode":false,"style":"simple","name":"id"},{"name":"channel_id","schema":{"type":"string"},"required":true,"in":"path","style":"simple","explode":false}],"tags":["Datamart Device Id Registry Channel Selections"]}}},"components":{"schemas":{"DeviceIdRegistryChannelSelectionResource":{"type":"object","properties":{"active":{"type":"boolean","default":false,"readOnly":true},"id":{"type":"string","readOnly":true},"device_id_registry_id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"channel_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["active","channel_id","created_by","creation_ts","device_id_registry_id","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /channels/{channel\_id}/device\_id\_registry\_selections/{id}

> Delete a device id registry channel selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Channel Selections","description":"Operations related to Datamart Device ID Registry Channel Selections for managing device identifiers by Channel."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/device_id_registry_selections/{id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Datamart Device Id Registry Channel Selections"],"parameters":[{"name":"id","style":"simple","required":true,"schema":{"type":"string"},"in":"path","explode":false,"description":"The device id registry selection id"},{"in":"path","schema":{"type":"string"},"required":true,"explode":false,"name":"channel_id","style":"simple"}],"summary":"Delete a device id registry channel selection","operationId":"deleteDeviceIdRegistryChannelSelection","description":""}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /channels/{channel\_id}/device\_id\_registry\_selections

> Search device id registry channel selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Channel Selections","description":"Operations related to Datamart Device ID Registry Channel Selections for managing device identifiers by Channel."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/device_id_registry_selections":{"get":{"tags":["Datamart Device Id Registry Channel Selections"],"description":"","parameters":[{"style":"simple","required":true,"schema":{"type":"string"},"in":"path","name":"channel_id","explode":false},{"name":"device_id_registry_id","required":false,"schema":{"type":"string"},"in":"query","style":"form","description":"Id of device id registry to search","explode":true},{"schema":{"type":"string"},"style":"form","name":"created_by","in":"query","explode":true,"required":false,"description":"User who created the device id registry selection"},{"name":"first_result","explode":true,"description":"Offset from which the search must be performed","style":"form","schema":{"type":"integer","format":"int32"},"required":false,"in":"query"},{"schema":{"type":"integer","format":"int32"},"in":"query","explode":true,"description":"Number of maximum items that shall be return by this search","style":"form","required":false,"name":"max_results"}],"summary":"Search device id registry channel selections","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DeviceIdRegistryChannelSelectionResource"}},"count":{"type":"integer"},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findDeviceIdRegistryChannelSelections"}}},"components":{"schemas":{"DeviceIdRegistryChannelSelectionResource":{"type":"object","properties":{"active":{"type":"boolean","default":false,"readOnly":true},"id":{"type":"string","readOnly":true},"device_id_registry_id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"channel_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["active","channel_id","created_by","creation_ts","device_id_registry_id","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /channels/{channel\_id}/device\_id\_registry\_selections

> Create a device id registry channel selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry Channel Selections","description":"Operations related to Datamart Device ID Registry Channel Selections for managing device identifiers by Channel."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/device_id_registry_selections":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryChannelSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Datamart Device Id Registry Channel Selections"],"description":"","summary":"Create a device id registry channel selection","requestBody":{"description":"The device id registry channel selection to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIdRegistryChannelSelectionResource"}}},"required":true},"parameters":[{"style":"simple","name":"channel_id","explode":false,"in":"path","required":true,"schema":{"type":"string"}}],"operationId":"createDeviceIdRegistryChannelSelection"}}},"components":{"schemas":{"DeviceIdRegistryChannelSelectionResource":{"type":"object","properties":{"active":{"type":"boolean","default":false,"readOnly":true},"id":{"type":"string","readOnly":true},"device_id_registry_id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"channel_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["active","channel_id","created_by","creation_ts","device_id_registry_id","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry-channel-selections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
